pragma Ada_95;
pragma Warnings (Off);
pragma Source_File_Name (ada_main, Spec_File_Name => "b__webxref.ads");
pragma Source_File_Name (ada_main, Body_File_Name => "b__webxref.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body ada_main is

   E144 : Short_Integer; pragma Import (Ada, E144, "system__os_lib_E");
   E014 : Short_Integer; pragma Import (Ada, E014, "system__soft_links_E");
   E012 : Short_Integer; pragma Import (Ada, E012, "system__exception_table_E");
   E061 : Short_Integer; pragma Import (Ada, E061, "ada__containers_E");
   E068 : Short_Integer; pragma Import (Ada, E068, "ada__io_exceptions_E");
   E175 : Short_Integer; pragma Import (Ada, E175, "ada__numerics_E");
   E009 : Short_Integer; pragma Import (Ada, E009, "ada__strings_E");
   E054 : Short_Integer; pragma Import (Ada, E054, "ada__strings__maps_E");
   E058 : Short_Integer; pragma Import (Ada, E058, "ada__strings__maps__constants_E");
   E070 : Short_Integer; pragma Import (Ada, E070, "ada__tags_E");
   E067 : Short_Integer; pragma Import (Ada, E067, "ada__streams_E");
   E092 : Short_Integer; pragma Import (Ada, E092, "interfaces__c_E");
   E249 : Short_Integer; pragma Import (Ada, E249, "interfaces__c__strings_E");
   E026 : Short_Integer; pragma Import (Ada, E026, "system__exceptions_E");
   E147 : Short_Integer; pragma Import (Ada, E147, "system__file_control_block_E");
   E181 : Short_Integer; pragma Import (Ada, E181, "ada__streams__stream_io_E");
   E140 : Short_Integer; pragma Import (Ada, E140, "system__file_io_E");
   E082 : Short_Integer; pragma Import (Ada, E082, "system__finalization_root_E");
   E065 : Short_Integer; pragma Import (Ada, E065, "ada__finalization_E");
   E283 : Short_Integer; pragma Import (Ada, E283, "system__regpat_E");
   E131 : Short_Integer; pragma Import (Ada, E131, "system__storage_pools_E");
   E125 : Short_Integer; pragma Import (Ada, E125, "system__finalization_masters_E");
   E123 : Short_Integer; pragma Import (Ada, E123, "system__storage_pools__subpools_E");
   E201 : Short_Integer; pragma Import (Ada, E201, "system__task_info_E");
   E090 : Short_Integer; pragma Import (Ada, E090, "ada__calendar_E");
   E098 : Short_Integer; pragma Import (Ada, E098, "ada__calendar__time_zones_E");
   E275 : Short_Integer; pragma Import (Ada, E275, "gnat__calendar_E");
   E278 : Short_Integer; pragma Import (Ada, E278, "gnat__calendar__time_io_E");
   E306 : Short_Integer; pragma Import (Ada, E306, "gnat__directory_operations_E");
   E253 : Short_Integer; pragma Import (Ada, E253, "system__assertions_E");
   E287 : Short_Integer; pragma Import (Ada, E287, "system__pool_global_E");
   E263 : Short_Integer; pragma Import (Ada, E263, "system__random_seed_E");
   E018 : Short_Integer; pragma Import (Ada, E018, "system__secondary_stack_E");
   E117 : Short_Integer; pragma Import (Ada, E117, "ada__strings__unbounded_E");
   E088 : Short_Integer; pragma Import (Ada, E088, "ada__directories_E");
   E149 : Short_Integer; pragma Import (Ada, E149, "system__regexp_E");
   E304 : Short_Integer; pragma Import (Ada, E304, "gnat__command_line_E");
   E217 : Short_Integer; pragma Import (Ada, E217, "system__tasking__initialization_E");
   E153 : Short_Integer; pragma Import (Ada, E153, "ada__text_io_E");
   E227 : Short_Integer; pragma Import (Ada, E227, "system__tasking__protected_objects_E");
   E231 : Short_Integer; pragma Import (Ada, E231, "system__tasking__protected_objects__entries_E");
   E225 : Short_Integer; pragma Import (Ada, E225, "system__tasking__queuing_E");
   E300 : Short_Integer; pragma Import (Ada, E300, "templates_parser_tasking_E");
   E271 : Short_Integer; pragma Import (Ada, E271, "templates_parser_E");
   E294 : Short_Integer; pragma Import (Ada, E294, "templates_parser__input_E");
   E296 : Short_Integer; pragma Import (Ada, E296, "templates_parser__utils_E");
   E156 : Short_Integer; pragma Import (Ada, E156, "aws__utils_E");

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      E156 := E156 - 1;
      declare
         procedure F1;
         pragma Import (Ada, F1, "aws__utils__finalize_spec");
      begin
         if E156 = 0 then
            F1;
         end if;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "templates_parser__finalize_body");
      begin
         E271 := E271 - 1;
         if E271 = 0 then
            F2;
         end if;
      end;
      declare
         procedure F3;
         pragma Import (Ada, F3, "templates_parser__finalize_spec");
      begin
         if E271 = 0 then
            F3;
         end if;
      end;
      declare
         procedure F4;
         pragma Import (Ada, F4, "templates_parser_tasking__finalize_body");
      begin
         E300 := E300 - 1;
         if E300 = 0 then
            F4;
         end if;
      end;
      E231 := E231 - 1;
      declare
         procedure F5;
         pragma Import (Ada, F5, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         if E231 = 0 then
            F5;
         end if;
      end;
      E153 := E153 - 1;
      declare
         procedure F6;
         pragma Import (Ada, F6, "ada__text_io__finalize_spec");
      begin
         if E153 = 0 then
            F6;
         end if;
      end;
      E088 := E088 - 1;
      E149 := E149 - 1;
      declare
         procedure F7;
         pragma Import (Ada, F7, "system__regexp__finalize_spec");
      begin
         if E149 = 0 then
            F7;
         end if;
      end;
      declare
         procedure F8;
         pragma Import (Ada, F8, "ada__directories__finalize_spec");
      begin
         if E088 = 0 then
            F8;
         end if;
      end;
      E117 := E117 - 1;
      declare
         procedure F9;
         pragma Import (Ada, F9, "ada__strings__unbounded__finalize_spec");
      begin
         if E117 = 0 then
            F9;
         end if;
      end;
      declare
         procedure F10;
         pragma Import (Ada, F10, "system__file_io__finalize_body");
      begin
         E140 := E140 - 1;
         if E140 = 0 then
            F10;
         end if;
      end;
      E125 := E125 - 1;
      E123 := E123 - 1;
      E287 := E287 - 1;
      declare
         procedure F11;
         pragma Import (Ada, F11, "system__pool_global__finalize_spec");
      begin
         if E287 = 0 then
            F11;
         end if;
      end;
      declare
         procedure F12;
         pragma Import (Ada, F12, "system__storage_pools__subpools__finalize_spec");
      begin
         if E123 = 0 then
            F12;
         end if;
      end;
      declare
         procedure F13;
         pragma Import (Ada, F13, "system__finalization_masters__finalize_spec");
      begin
         if E125 = 0 then
            F13;
         end if;
      end;
      E181 := E181 - 1;
      declare
         procedure F14;
         pragma Import (Ada, F14, "ada__streams__stream_io__finalize_spec");
      begin
         if E181 = 0 then
            F14;
         end if;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure adafinal is
      procedure s_stalib_adafinal;
      pragma Import (C, s_stalib_adafinal, "system__standard_library__adafinal");

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      s_stalib_adafinal;
   end adafinal;

   type No_Param_Proc is access procedure;

   procedure adainit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Leap_Seconds_Support : Integer;
      pragma Import (C, Leap_Seconds_Support, "__gl_leap_seconds_support");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, True, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (True, False, False, True, True, False, False, True, 
           False, False, True, True, True, True, False, False, 
           True, False, False, True, True, False, True, True, 
           False, True, True, True, True, True, True, False, 
           False, True, False, True, False, False, True, False, 
           True, False, True, True, False, False, True, True, 
           False, False, True, True, False, True, False, False, 
           False, False, False, False, False, True, True, True, 
           False, False, True, False, True, True, True, False, 
           True, True, False, True, True, True, False, True, 
           True, False, False, False, True, False, False, False, 
           False, True, False),
         Count => (0, 0, 0, 2, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;
      Leap_Seconds_Support := 0;

      Runtime_Initialize (1);

      Finalize_Library_Objects := finalize_library'access;

      if E014 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E012 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E012 := E012 + 1;
      if E061 = 0 then
         Ada.Containers'Elab_Spec;
      end if;
      E061 := E061 + 1;
      if E068 = 0 then
         Ada.Io_Exceptions'Elab_Spec;
      end if;
      E068 := E068 + 1;
      if E175 = 0 then
         Ada.Numerics'Elab_Spec;
      end if;
      E175 := E175 + 1;
      if E009 = 0 then
         Ada.Strings'Elab_Spec;
      end if;
      E009 := E009 + 1;
      if E054 = 0 then
         Ada.Strings.Maps'Elab_Spec;
      end if;
      if E058 = 0 then
         Ada.Strings.Maps.Constants'Elab_Spec;
      end if;
      E058 := E058 + 1;
      if E070 = 0 then
         Ada.Tags'Elab_Spec;
      end if;
      if E067 = 0 then
         Ada.Streams'Elab_Spec;
      end if;
      E067 := E067 + 1;
      if E092 = 0 then
         Interfaces.C'Elab_Spec;
      end if;
      if E249 = 0 then
         Interfaces.C.Strings'Elab_Spec;
      end if;
      if E026 = 0 then
         System.Exceptions'Elab_Spec;
      end if;
      E026 := E026 + 1;
      if E147 = 0 then
         System.File_Control_Block'Elab_Spec;
      end if;
      E147 := E147 + 1;
      if E181 = 0 then
         Ada.Streams.Stream_Io'Elab_Spec;
      end if;
      E181 := E181 + 1;
      if E082 = 0 then
         System.Finalization_Root'Elab_Spec;
      end if;
      E082 := E082 + 1;
      if E065 = 0 then
         Ada.Finalization'Elab_Spec;
      end if;
      E065 := E065 + 1;
      if E283 = 0 then
         System.Regpat'Elab_Spec;
      end if;
      if E131 = 0 then
         System.Storage_Pools'Elab_Spec;
      end if;
      E131 := E131 + 1;
      if E125 = 0 then
         System.Finalization_Masters'Elab_Spec;
      end if;
      if E123 = 0 then
         System.Storage_Pools.Subpools'Elab_Spec;
      end if;
      if E201 = 0 then
         System.Task_Info'Elab_Spec;
      end if;
      E201 := E201 + 1;
      if E090 = 0 then
         Ada.Calendar'Elab_Spec;
      end if;
      if E090 = 0 then
         Ada.Calendar'Elab_Body;
      end if;
      E090 := E090 + 1;
      if E098 = 0 then
         Ada.Calendar.Time_Zones'Elab_Spec;
      end if;
      E098 := E098 + 1;
      if E275 = 0 then
         Gnat.Calendar'Elab_Spec;
      end if;
      E275 := E275 + 1;
      if E278 = 0 then
         Gnat.Calendar.Time_Io'Elab_Spec;
      end if;
      if E306 = 0 then
         Gnat.Directory_Operations'Elab_Spec;
      end if;
      if E253 = 0 then
         System.Assertions'Elab_Spec;
      end if;
      E253 := E253 + 1;
      if E287 = 0 then
         System.Pool_Global'Elab_Spec;
      end if;
      E287 := E287 + 1;
      if E263 = 0 then
         System.Random_Seed'Elab_Body;
      end if;
      E263 := E263 + 1;
      E123 := E123 + 1;
      if E125 = 0 then
         System.Finalization_Masters'Elab_Body;
      end if;
      E125 := E125 + 1;
      E283 := E283 + 1;
      if E140 = 0 then
         System.File_Io'Elab_Body;
      end if;
      E140 := E140 + 1;
      E249 := E249 + 1;
      E092 := E092 + 1;
      if E070 = 0 then
         Ada.Tags'Elab_Body;
      end if;
      E070 := E070 + 1;
      E054 := E054 + 1;
      if E014 = 0 then
         System.Soft_Links'Elab_Body;
      end if;
      E014 := E014 + 1;
      if E144 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E144 := E144 + 1;
      if E018 = 0 then
         System.Secondary_Stack'Elab_Body;
      end if;
      E018 := E018 + 1;
      if E306 = 0 then
         Gnat.Directory_Operations'Elab_Body;
      end if;
      E306 := E306 + 1;
      if E117 = 0 then
         Ada.Strings.Unbounded'Elab_Spec;
      end if;
      E117 := E117 + 1;
      if E088 = 0 then
         Ada.Directories'Elab_Spec;
      end if;
      if E149 = 0 then
         System.Regexp'Elab_Spec;
      end if;
      E149 := E149 + 1;
      if E088 = 0 then
         Ada.Directories'Elab_Body;
      end if;
      E088 := E088 + 1;
      if E304 = 0 then
         Gnat.Command_Line'Elab_Spec;
      end if;
      if E217 = 0 then
         System.Tasking.Initialization'Elab_Body;
      end if;
      E217 := E217 + 1;
      if E153 = 0 then
         Ada.Text_Io'Elab_Spec;
      end if;
      if E153 = 0 then
         Ada.Text_Io'Elab_Body;
      end if;
      E153 := E153 + 1;
      if E304 = 0 then
         Gnat.Command_Line'Elab_Body;
      end if;
      E304 := E304 + 1;
      E278 := E278 + 1;
      if E227 = 0 then
         System.Tasking.Protected_Objects'Elab_Body;
      end if;
      E227 := E227 + 1;
      if E231 = 0 then
         System.Tasking.Protected_Objects.Entries'Elab_Spec;
      end if;
      E231 := E231 + 1;
      if E225 = 0 then
         System.Tasking.Queuing'Elab_Body;
      end if;
      E225 := E225 + 1;
      if E300 = 0 then
         Templates_Parser_Tasking'Elab_Body;
      end if;
      E300 := E300 + 1;
      if E271 = 0 then
         Templates_Parser'Elab_Spec;
      end if;
      if E294 = 0 then
         Templates_Parser.Input'Elab_Spec;
      end if;
      E294 := E294 + 1;
      if E296 = 0 then
         Templates_Parser.Utils'Elab_Spec;
      end if;
      E296 := E296 + 1;
      if E271 = 0 then
         Templates_Parser'Elab_Body;
      end if;
      E271 := E271 + 1;
      if E156 = 0 then
         AWS.UTILS'ELAB_SPEC;
      end if;
      if E156 = 0 then
         AWS.UTILS'ELAB_BODY;
      end if;
      E156 := E156 + 1;
   end adainit;

   procedure Ada_Main_Program;
   pragma Import (Ada, Ada_Main_Program, "_ada_webxref");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer
   is
      procedure Initialize (Addr : System.Address);
      pragma Import (C, Initialize, "__gnat_initialize");

      procedure Finalize;
      pragma Import (C, Finalize, "__gnat_finalize");
      SEH : aliased array (1 .. 2) of Integer;

      Ensure_Reference : aliased System.Address := Ada_Main_Program_Name'Address;
      pragma Volatile (Ensure_Reference);

   begin
      gnat_argc := argc;
      gnat_argv := argv;
      gnat_envp := envp;

      Initialize (SEH'Address);
      adainit;
      Ada_Main_Program;
      adafinal;
      Finalize;
      return (gnat_exit_status);
   end;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/aws-gpl-2016-src/.build/aarch64-redhat-linux/debug/relocatable/obj/tools/webxref.o
   --   -L/builddir/build/BUILD/aws-gpl-2016-src/.build/aarch64-redhat-linux/debug/relocatable/obj/tools/
   --   -L/builddir/build/BUILD/aws-gpl-2016-src/.build/aarch64-redhat-linux/debug/relocatable/obj/tools/
   --   -L/builddir/build/BUILD/aws-gpl-2016-src/.build/aarch64-redhat-linux/debug/relocatable/obj/
   --   -L/builddir/build/BUILD/aws-gpl-2016-src/.build/aarch64-redhat-linux/debug/relocatable/lib/aws/
   --   -L/builddir/build/BUILD/aws-gpl-2016-src/.build/aarch64-redhat-linux/debug/relocatable/lib/include/
   --   -L/usr/lib64/zlib-ada/
   --   -L/builddir/build/BUILD/aws-gpl-2016-src/.build/aarch64-redhat-linux/debug/relocatable/lib/src/
   --   -L/usr/lib64/xmlada/
   --   -L/builddir/build/BUILD/aws-gpl-2016-src/.build/aarch64-redhat-linux/debug/relocatable/lib/ssl/
   --   -L/builddir/build/BUILD/aws-gpl-2016-src/ssl/
   --   -L/usr/lib64/templates_parser/
   --   -L/usr/lib/gcc/aarch64-redhat-linux/6.1.1/adalib/
   --   -shared
   --   -lgnarl-6
   --   -lgnat-6
   --   -lpthread
   --   -lrt
   --   -lm
--  END Object file/option list   

end ada_main;
