pragma Ada_95;
pragma Warnings (Off);
with System;
package ada_main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 6.1.1 20160721 (Red Hat 6.1.1-4)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_awsres" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#2f76cf2b#;
   pragma Export (C, u00001, "awsresB");
   u00002 : constant Version_32 := 16#b6df930e#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#937076cc#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#3ffc8e18#;
   pragma Export (C, u00004, "adaS");
   u00005 : constant Version_32 := 16#5ec405a9#;
   pragma Export (C, u00005, "ada__calendarB");
   u00006 : constant Version_32 := 16#e67a5d0a#;
   pragma Export (C, u00006, "ada__calendarS");
   u00007 : constant Version_32 := 16#e7214354#;
   pragma Export (C, u00007, "ada__exceptionsB");
   u00008 : constant Version_32 := 16#020f9e08#;
   pragma Export (C, u00008, "ada__exceptionsS");
   u00009 : constant Version_32 := 16#e947e6a9#;
   pragma Export (C, u00009, "ada__exceptions__last_chance_handlerB");
   u00010 : constant Version_32 := 16#41e5552e#;
   pragma Export (C, u00010, "ada__exceptions__last_chance_handlerS");
   u00011 : constant Version_32 := 16#6326c08a#;
   pragma Export (C, u00011, "systemS");
   u00012 : constant Version_32 := 16#465d427a#;
   pragma Export (C, u00012, "system__soft_linksB");
   u00013 : constant Version_32 := 16#fda218df#;
   pragma Export (C, u00013, "system__soft_linksS");
   u00014 : constant Version_32 := 16#b01dad17#;
   pragma Export (C, u00014, "system__parametersB");
   u00015 : constant Version_32 := 16#1d0ccdf5#;
   pragma Export (C, u00015, "system__parametersS");
   u00016 : constant Version_32 := 16#0f0cb66d#;
   pragma Export (C, u00016, "system__secondary_stackB");
   u00017 : constant Version_32 := 16#c8470fe3#;
   pragma Export (C, u00017, "system__secondary_stackS");
   u00018 : constant Version_32 := 16#39a03df9#;
   pragma Export (C, u00018, "system__storage_elementsB");
   u00019 : constant Version_32 := 16#4ee58a8e#;
   pragma Export (C, u00019, "system__storage_elementsS");
   u00020 : constant Version_32 := 16#41837d1e#;
   pragma Export (C, u00020, "system__stack_checkingB");
   u00021 : constant Version_32 := 16#ed99ab62#;
   pragma Export (C, u00021, "system__stack_checkingS");
   u00022 : constant Version_32 := 16#87a448ff#;
   pragma Export (C, u00022, "system__exception_tableB");
   u00023 : constant Version_32 := 16#3e88a9c8#;
   pragma Export (C, u00023, "system__exception_tableS");
   u00024 : constant Version_32 := 16#ce4af020#;
   pragma Export (C, u00024, "system__exceptionsB");
   u00025 : constant Version_32 := 16#0b45ad7c#;
   pragma Export (C, u00025, "system__exceptionsS");
   u00026 : constant Version_32 := 16#4c9e814d#;
   pragma Export (C, u00026, "system__exceptions__machineS");
   u00027 : constant Version_32 := 16#aa0563fc#;
   pragma Export (C, u00027, "system__exceptions_debugB");
   u00028 : constant Version_32 := 16#1dac394e#;
   pragma Export (C, u00028, "system__exceptions_debugS");
   u00029 : constant Version_32 := 16#570325c8#;
   pragma Export (C, u00029, "system__img_intB");
   u00030 : constant Version_32 := 16#61fd2048#;
   pragma Export (C, u00030, "system__img_intS");
   u00031 : constant Version_32 := 16#39df8c17#;
   pragma Export (C, u00031, "system__tracebackB");
   u00032 : constant Version_32 := 16#3d041e4e#;
   pragma Export (C, u00032, "system__tracebackS");
   u00033 : constant Version_32 := 16#9ed49525#;
   pragma Export (C, u00033, "system__traceback_entriesB");
   u00034 : constant Version_32 := 16#637d36fa#;
   pragma Export (C, u00034, "system__traceback_entriesS");
   u00035 : constant Version_32 := 16#6fd210f2#;
   pragma Export (C, u00035, "system__traceback__symbolicB");
   u00036 : constant Version_32 := 16#dd19f67a#;
   pragma Export (C, u00036, "system__traceback__symbolicS");
   u00037 : constant Version_32 := 16#701f9d88#;
   pragma Export (C, u00037, "ada__exceptions__tracebackB");
   u00038 : constant Version_32 := 16#20245e75#;
   pragma Export (C, u00038, "ada__exceptions__tracebackS");
   u00039 : constant Version_32 := 16#57a37a42#;
   pragma Export (C, u00039, "system__address_imageB");
   u00040 : constant Version_32 := 16#c2ca5db0#;
   pragma Export (C, u00040, "system__address_imageS");
   u00041 : constant Version_32 := 16#8c33a517#;
   pragma Export (C, u00041, "system__wch_conB");
   u00042 : constant Version_32 := 16#785be258#;
   pragma Export (C, u00042, "system__wch_conS");
   u00043 : constant Version_32 := 16#9721e840#;
   pragma Export (C, u00043, "system__wch_stwB");
   u00044 : constant Version_32 := 16#554ace59#;
   pragma Export (C, u00044, "system__wch_stwS");
   u00045 : constant Version_32 := 16#b96cfbef#;
   pragma Export (C, u00045, "system__wch_cnvB");
   u00046 : constant Version_32 := 16#77ec58ab#;
   pragma Export (C, u00046, "system__wch_cnvS");
   u00047 : constant Version_32 := 16#4be8ce1b#;
   pragma Export (C, u00047, "interfacesS");
   u00048 : constant Version_32 := 16#ece6fdb6#;
   pragma Export (C, u00048, "system__wch_jisB");
   u00049 : constant Version_32 := 16#f79c418a#;
   pragma Export (C, u00049, "system__wch_jisS");
   u00050 : constant Version_32 := 16#769e25e6#;
   pragma Export (C, u00050, "interfaces__cB");
   u00051 : constant Version_32 := 16#61e3d2ff#;
   pragma Export (C, u00051, "interfaces__cS");
   u00052 : constant Version_32 := 16#d083f760#;
   pragma Export (C, u00052, "system__os_primitivesB");
   u00053 : constant Version_32 := 16#e9a9d1fc#;
   pragma Export (C, u00053, "system__os_primitivesS");
   u00054 : constant Version_32 := 16#12c24a43#;
   pragma Export (C, u00054, "ada__charactersS");
   u00055 : constant Version_32 := 16#8f637df8#;
   pragma Export (C, u00055, "ada__characters__handlingB");
   u00056 : constant Version_32 := 16#3b3f6154#;
   pragma Export (C, u00056, "ada__characters__handlingS");
   u00057 : constant Version_32 := 16#4b7bb96a#;
   pragma Export (C, u00057, "ada__characters__latin_1S");
   u00058 : constant Version_32 := 16#af50e98f#;
   pragma Export (C, u00058, "ada__stringsS");
   u00059 : constant Version_32 := 16#e2ea8656#;
   pragma Export (C, u00059, "ada__strings__mapsB");
   u00060 : constant Version_32 := 16#1e526bec#;
   pragma Export (C, u00060, "ada__strings__mapsS");
   u00061 : constant Version_32 := 16#ad32e455#;
   pragma Export (C, u00061, "system__bit_opsB");
   u00062 : constant Version_32 := 16#0765e3a3#;
   pragma Export (C, u00062, "system__bit_opsS");
   u00063 : constant Version_32 := 16#fe7e644a#;
   pragma Export (C, u00063, "system__unsigned_typesS");
   u00064 : constant Version_32 := 16#92f05f13#;
   pragma Export (C, u00064, "ada__strings__maps__constantsS");
   u00065 : constant Version_32 := 16#e51537a7#;
   pragma Export (C, u00065, "ada__command_lineB");
   u00066 : constant Version_32 := 16#d59e21a4#;
   pragma Export (C, u00066, "ada__command_lineS");
   u00067 : constant Version_32 := 16#3d88e004#;
   pragma Export (C, u00067, "ada__directoriesB");
   u00068 : constant Version_32 := 16#1f46f2ad#;
   pragma Export (C, u00068, "ada__directoriesS");
   u00069 : constant Version_32 := 16#7bf85949#;
   pragma Export (C, u00069, "ada__calendar__formattingB");
   u00070 : constant Version_32 := 16#937437b5#;
   pragma Export (C, u00070, "ada__calendar__formattingS");
   u00071 : constant Version_32 := 16#e3cca715#;
   pragma Export (C, u00071, "ada__calendar__time_zonesB");
   u00072 : constant Version_32 := 16#991bad49#;
   pragma Export (C, u00072, "ada__calendar__time_zonesS");
   u00073 : constant Version_32 := 16#7ebd8839#;
   pragma Export (C, u00073, "system__val_intB");
   u00074 : constant Version_32 := 16#2b83eab5#;
   pragma Export (C, u00074, "system__val_intS");
   u00075 : constant Version_32 := 16#b44f9ae7#;
   pragma Export (C, u00075, "system__val_unsB");
   u00076 : constant Version_32 := 16#eed68971#;
   pragma Export (C, u00076, "system__val_unsS");
   u00077 : constant Version_32 := 16#27b600b2#;
   pragma Export (C, u00077, "system__val_utilB");
   u00078 : constant Version_32 := 16#cf867674#;
   pragma Export (C, u00078, "system__val_utilS");
   u00079 : constant Version_32 := 16#d1060688#;
   pragma Export (C, u00079, "system__case_utilB");
   u00080 : constant Version_32 := 16#472fa95d#;
   pragma Export (C, u00080, "system__case_utilS");
   u00081 : constant Version_32 := 16#faa9a7b2#;
   pragma Export (C, u00081, "system__val_realB");
   u00082 : constant Version_32 := 16#9d0fb79b#;
   pragma Export (C, u00082, "system__val_realS");
   u00083 : constant Version_32 := 16#6c05c057#;
   pragma Export (C, u00083, "system__exn_llfB");
   u00084 : constant Version_32 := 16#df587b56#;
   pragma Export (C, u00084, "system__exn_llfS");
   u00085 : constant Version_32 := 16#1b28662b#;
   pragma Export (C, u00085, "system__float_controlB");
   u00086 : constant Version_32 := 16#83da83b6#;
   pragma Export (C, u00086, "system__float_controlS");
   u00087 : constant Version_32 := 16#3356a6fd#;
   pragma Export (C, u00087, "system__powten_tableS");
   u00088 : constant Version_32 := 16#ab4ad33a#;
   pragma Export (C, u00088, "ada__directories__validityB");
   u00089 : constant Version_32 := 16#d34bdf62#;
   pragma Export (C, u00089, "ada__directories__validityS");
   u00090 : constant Version_32 := 16#e5480ede#;
   pragma Export (C, u00090, "ada__strings__fixedB");
   u00091 : constant Version_32 := 16#a86b22b3#;
   pragma Export (C, u00091, "ada__strings__fixedS");
   u00092 : constant Version_32 := 16#45c9251c#;
   pragma Export (C, u00092, "ada__strings__searchB");
   u00093 : constant Version_32 := 16#c1ab8667#;
   pragma Export (C, u00093, "ada__strings__searchS");
   u00094 : constant Version_32 := 16#f78329ae#;
   pragma Export (C, u00094, "ada__strings__unboundedB");
   u00095 : constant Version_32 := 16#4c956ffe#;
   pragma Export (C, u00095, "ada__strings__unboundedS");
   u00096 : constant Version_32 := 16#920eada5#;
   pragma Export (C, u00096, "ada__tagsB");
   u00097 : constant Version_32 := 16#13ca27f3#;
   pragma Export (C, u00097, "ada__tagsS");
   u00098 : constant Version_32 := 16#c3335bfd#;
   pragma Export (C, u00098, "system__htableB");
   u00099 : constant Version_32 := 16#e7e47360#;
   pragma Export (C, u00099, "system__htableS");
   u00100 : constant Version_32 := 16#089f5cd0#;
   pragma Export (C, u00100, "system__string_hashB");
   u00101 : constant Version_32 := 16#45ba181e#;
   pragma Export (C, u00101, "system__string_hashS");
   u00102 : constant Version_32 := 16#06052bd0#;
   pragma Export (C, u00102, "system__val_lluB");
   u00103 : constant Version_32 := 16#848c3338#;
   pragma Export (C, u00103, "system__val_lluS");
   u00104 : constant Version_32 := 16#5b9edcc4#;
   pragma Export (C, u00104, "system__compare_array_unsigned_8B");
   u00105 : constant Version_32 := 16#ca25b107#;
   pragma Export (C, u00105, "system__compare_array_unsigned_8S");
   u00106 : constant Version_32 := 16#5f72f755#;
   pragma Export (C, u00106, "system__address_operationsB");
   u00107 : constant Version_32 := 16#702a7eb9#;
   pragma Export (C, u00107, "system__address_operationsS");
   u00108 : constant Version_32 := 16#e78389d8#;
   pragma Export (C, u00108, "system__storage_pools__subpoolsB");
   u00109 : constant Version_32 := 16#cc5a1856#;
   pragma Export (C, u00109, "system__storage_pools__subpoolsS");
   u00110 : constant Version_32 := 16#6abe5dbe#;
   pragma Export (C, u00110, "system__finalization_mastersB");
   u00111 : constant Version_32 := 16#38daf940#;
   pragma Export (C, u00111, "system__finalization_mastersS");
   u00112 : constant Version_32 := 16#7268f812#;
   pragma Export (C, u00112, "system__img_boolB");
   u00113 : constant Version_32 := 16#96ffb161#;
   pragma Export (C, u00113, "system__img_boolS");
   u00114 : constant Version_32 := 16#d7aac20c#;
   pragma Export (C, u00114, "system__ioB");
   u00115 : constant Version_32 := 16#fd6437c5#;
   pragma Export (C, u00115, "system__ioS");
   u00116 : constant Version_32 := 16#cf417de3#;
   pragma Export (C, u00116, "ada__finalizationS");
   u00117 : constant Version_32 := 16#10558b11#;
   pragma Export (C, u00117, "ada__streamsB");
   u00118 : constant Version_32 := 16#2e6701ab#;
   pragma Export (C, u00118, "ada__streamsS");
   u00119 : constant Version_32 := 16#db5c917c#;
   pragma Export (C, u00119, "ada__io_exceptionsS");
   u00120 : constant Version_32 := 16#95817ed8#;
   pragma Export (C, u00120, "system__finalization_rootB");
   u00121 : constant Version_32 := 16#2cd4b31a#;
   pragma Export (C, u00121, "system__finalization_rootS");
   u00122 : constant Version_32 := 16#6d4d969a#;
   pragma Export (C, u00122, "system__storage_poolsB");
   u00123 : constant Version_32 := 16#40cb5e27#;
   pragma Export (C, u00123, "system__storage_poolsS");
   u00124 : constant Version_32 := 16#9aad1ff1#;
   pragma Export (C, u00124, "system__storage_pools__subpools__finalizationB");
   u00125 : constant Version_32 := 16#fe2f4b3a#;
   pragma Export (C, u00125, "system__storage_pools__subpools__finalizationS");
   u00126 : constant Version_32 := 16#020a3f4d#;
   pragma Export (C, u00126, "system__atomic_countersB");
   u00127 : constant Version_32 := 16#d77aed07#;
   pragma Export (C, u00127, "system__atomic_countersS");
   u00128 : constant Version_32 := 16#f4e1c091#;
   pragma Export (C, u00128, "system__stream_attributesB");
   u00129 : constant Version_32 := 16#221dd20d#;
   pragma Export (C, u00129, "system__stream_attributesS");
   u00130 : constant Version_32 := 16#13b71684#;
   pragma Export (C, u00130, "system__crtlS");
   u00131 : constant Version_32 := 16#76ff2fb1#;
   pragma Export (C, u00131, "system__file_attributesS");
   u00132 : constant Version_32 := 16#0d7196ba#;
   pragma Export (C, u00132, "system__os_constantsS");
   u00133 : constant Version_32 := 16#f1dc49a7#;
   pragma Export (C, u00133, "system__file_ioB");
   u00134 : constant Version_32 := 16#c45721ef#;
   pragma Export (C, u00134, "system__file_ioS");
   u00135 : constant Version_32 := 16#84a27f0d#;
   pragma Export (C, u00135, "interfaces__c_streamsB");
   u00136 : constant Version_32 := 16#a06e9ee4#;
   pragma Export (C, u00136, "interfaces__c_streamsS");
   u00137 : constant Version_32 := 16#b97322e0#;
   pragma Export (C, u00137, "system__os_libB");
   u00138 : constant Version_32 := 16#dc0cac3f#;
   pragma Export (C, u00138, "system__os_libS");
   u00139 : constant Version_32 := 16#1a817b8e#;
   pragma Export (C, u00139, "system__stringsB");
   u00140 : constant Version_32 := 16#1d99d1ec#;
   pragma Export (C, u00140, "system__stringsS");
   u00141 : constant Version_32 := 16#9eb95a22#;
   pragma Export (C, u00141, "system__file_control_blockS");
   u00142 : constant Version_32 := 16#933fac2f#;
   pragma Export (C, u00142, "system__regexpB");
   u00143 : constant Version_32 := 16#40146746#;
   pragma Export (C, u00143, "system__regexpS");
   u00144 : constant Version_32 := 16#f64b89a4#;
   pragma Export (C, u00144, "ada__integer_text_ioB");
   u00145 : constant Version_32 := 16#f1daf268#;
   pragma Export (C, u00145, "ada__integer_text_ioS");
   u00146 : constant Version_32 := 16#c1a106e2#;
   pragma Export (C, u00146, "ada__text_ioB");
   u00147 : constant Version_32 := 16#8d734ca7#;
   pragma Export (C, u00147, "ada__text_ioS");
   u00148 : constant Version_32 := 16#f6fdca1c#;
   pragma Export (C, u00148, "ada__text_io__integer_auxB");
   u00149 : constant Version_32 := 16#b9793d30#;
   pragma Export (C, u00149, "ada__text_io__integer_auxS");
   u00150 : constant Version_32 := 16#181dc502#;
   pragma Export (C, u00150, "ada__text_io__generic_auxB");
   u00151 : constant Version_32 := 16#a6c327d3#;
   pragma Export (C, u00151, "ada__text_io__generic_auxS");
   u00152 : constant Version_32 := 16#18d57884#;
   pragma Export (C, u00152, "system__img_biuB");
   u00153 : constant Version_32 := 16#385cec07#;
   pragma Export (C, u00153, "system__img_biuS");
   u00154 : constant Version_32 := 16#e7d8734f#;
   pragma Export (C, u00154, "system__img_llbB");
   u00155 : constant Version_32 := 16#799bfcf9#;
   pragma Export (C, u00155, "system__img_llbS");
   u00156 : constant Version_32 := 16#9777733a#;
   pragma Export (C, u00156, "system__img_lliB");
   u00157 : constant Version_32 := 16#7269955b#;
   pragma Export (C, u00157, "system__img_lliS");
   u00158 : constant Version_32 := 16#0e8808d4#;
   pragma Export (C, u00158, "system__img_llwB");
   u00159 : constant Version_32 := 16#d0f7df6f#;
   pragma Export (C, u00159, "system__img_llwS");
   u00160 : constant Version_32 := 16#428b07f8#;
   pragma Export (C, u00160, "system__img_wiuB");
   u00161 : constant Version_32 := 16#561d6b95#;
   pragma Export (C, u00161, "system__img_wiuS");
   u00162 : constant Version_32 := 16#b3aa7b17#;
   pragma Export (C, u00162, "system__val_lliB");
   u00163 : constant Version_32 := 16#f902262a#;
   pragma Export (C, u00163, "system__val_lliS");
   u00164 : constant Version_32 := 16#d78f9b58#;
   pragma Export (C, u00164, "awsS");
   u00165 : constant Version_32 := 16#87875aec#;
   pragma Export (C, u00165, "aws__resourcesB");
   u00166 : constant Version_32 := 16#21293c96#;
   pragma Export (C, u00166, "aws__resourcesS");
   u00167 : constant Version_32 := 16#8fc0302f#;
   pragma Export (C, u00167, "aws__resources__embeddedB");
   u00168 : constant Version_32 := 16#dfb65b2e#;
   pragma Export (C, u00168, "aws__resources__embeddedS");
   u00169 : constant Version_32 := 16#5e196e91#;
   pragma Export (C, u00169, "ada__containersS");
   u00170 : constant Version_32 := 16#c164a034#;
   pragma Export (C, u00170, "ada__containers__hash_tablesS");
   u00171 : constant Version_32 := 16#14d67c72#;
   pragma Export (C, u00171, "ada__containers__helpersB");
   u00172 : constant Version_32 := 16#4adfc5eb#;
   pragma Export (C, u00172, "ada__containers__helpersS");
   u00173 : constant Version_32 := 16#c24eaf4d#;
   pragma Export (C, u00173, "ada__containers__prime_numbersB");
   u00174 : constant Version_32 := 16#6d3af8ed#;
   pragma Export (C, u00174, "ada__containers__prime_numbersS");
   u00175 : constant Version_32 := 16#75de1dee#;
   pragma Export (C, u00175, "ada__strings__hashB");
   u00176 : constant Version_32 := 16#3655ad4c#;
   pragma Export (C, u00176, "ada__strings__hashS");
   u00177 : constant Version_32 := 16#842fdb12#;
   pragma Export (C, u00177, "aws__resources__streamsB");
   u00178 : constant Version_32 := 16#4cfca24c#;
   pragma Export (C, u00178, "aws__resources__streamsS");
   u00179 : constant Version_32 := 16#5a895de2#;
   pragma Export (C, u00179, "system__pool_globalB");
   u00180 : constant Version_32 := 16#7141203e#;
   pragma Export (C, u00180, "system__pool_globalS");
   u00181 : constant Version_32 := 16#58e7cff7#;
   pragma Export (C, u00181, "system__memoryB");
   u00182 : constant Version_32 := 16#3a5ba6be#;
   pragma Export (C, u00182, "system__memoryS");
   u00183 : constant Version_32 := 16#6818d926#;
   pragma Export (C, u00183, "aws__resources__streams__zlibB");
   u00184 : constant Version_32 := 16#01b8ded9#;
   pragma Export (C, u00184, "aws__resources__streams__zlibS");
   u00185 : constant Version_32 := 16#52f1910f#;
   pragma Export (C, u00185, "system__assertionsB");
   u00186 : constant Version_32 := 16#aeabec1e#;
   pragma Export (C, u00186, "system__assertionsS");
   u00187 : constant Version_32 := 16#912365e0#;
   pragma Export (C, u00187, "system__strings__stream_opsB");
   u00188 : constant Version_32 := 16#55d4bd57#;
   pragma Export (C, u00188, "system__strings__stream_opsS");
   u00189 : constant Version_32 := 16#8e64967b#;
   pragma Export (C, u00189, "ada__streams__stream_ioB");
   u00190 : constant Version_32 := 16#31fc8e02#;
   pragma Export (C, u00190, "ada__streams__stream_ioS");
   u00191 : constant Version_32 := 16#5de653db#;
   pragma Export (C, u00191, "system__communicationB");
   u00192 : constant Version_32 := 16#7a469558#;
   pragma Export (C, u00192, "system__communicationS");
   u00193 : constant Version_32 := 16#53c7459e#;
   pragma Export (C, u00193, "aws__resources__streams__memoryB");
   u00194 : constant Version_32 := 16#82161c88#;
   pragma Export (C, u00194, "aws__resources__streams__memoryS");
   u00195 : constant Version_32 := 16#102419d0#;
   pragma Export (C, u00195, "aws__containersS");
   u00196 : constant Version_32 := 16#ea28c859#;
   pragma Export (C, u00196, "aws__containers__memory_streamsB");
   u00197 : constant Version_32 := 16#0cb95fac#;
   pragma Export (C, u00197, "aws__containers__memory_streamsS");
   u00198 : constant Version_32 := 16#12e8dbbc#;
   pragma Export (C, u00198, "aws__utilsB");
   u00199 : constant Version_32 := 16#8c723453#;
   pragma Export (C, u00199, "aws__utilsS");
   u00200 : constant Version_32 := 16#84ad4a42#;
   pragma Export (C, u00200, "ada__numericsS");
   u00201 : constant Version_32 := 16#7620113d#;
   pragma Export (C, u00201, "ada__numerics__long_elementary_functionsB");
   u00202 : constant Version_32 := 16#758c1e21#;
   pragma Export (C, u00202, "ada__numerics__long_elementary_functionsS");
   u00203 : constant Version_32 := 16#0cdfa324#;
   pragma Export (C, u00203, "ada__numerics__auxS");
   u00204 : constant Version_32 := 16#1d61d593#;
   pragma Export (C, u00204, "system__fat_lfltS");
   u00205 : constant Version_32 := 16#da8cbe06#;
   pragma Export (C, u00205, "ada__strings__unbounded__auxB");
   u00206 : constant Version_32 := 16#5c293c89#;
   pragma Export (C, u00206, "ada__strings__unbounded__auxS");
   u00207 : constant Version_32 := 16#a527258d#;
   pragma Export (C, u00207, "ada__task_identificationB");
   u00208 : constant Version_32 := 16#3b9be200#;
   pragma Export (C, u00208, "ada__task_identificationS");
   u00209 : constant Version_32 := 16#e47b6764#;
   pragma Export (C, u00209, "system__task_primitivesS");
   u00210 : constant Version_32 := 16#172fac80#;
   pragma Export (C, u00210, "system__os_interfaceB");
   u00211 : constant Version_32 := 16#bfb690aa#;
   pragma Export (C, u00211, "system__os_interfaceS");
   u00212 : constant Version_32 := 16#18ddbbc0#;
   pragma Export (C, u00212, "system__linuxS");
   u00213 : constant Version_32 := 16#817e5519#;
   pragma Export (C, u00213, "system__task_primitives__operationsB");
   u00214 : constant Version_32 := 16#e3c3f180#;
   pragma Export (C, u00214, "system__task_primitives__operationsS");
   u00215 : constant Version_32 := 16#66645a25#;
   pragma Export (C, u00215, "system__interrupt_managementB");
   u00216 : constant Version_32 := 16#144b2cd0#;
   pragma Export (C, u00216, "system__interrupt_managementS");
   u00217 : constant Version_32 := 16#f65595cf#;
   pragma Export (C, u00217, "system__multiprocessorsB");
   u00218 : constant Version_32 := 16#5b8a5ff9#;
   pragma Export (C, u00218, "system__multiprocessorsS");
   u00219 : constant Version_32 := 16#d8d909aa#;
   pragma Export (C, u00219, "system__stack_checking__operationsB");
   u00220 : constant Version_32 := 16#64c2cb2b#;
   pragma Export (C, u00220, "system__stack_checking__operationsS");
   u00221 : constant Version_32 := 16#375a3ef7#;
   pragma Export (C, u00221, "system__task_infoB");
   u00222 : constant Version_32 := 16#2cefa11f#;
   pragma Export (C, u00222, "system__task_infoS");
   u00223 : constant Version_32 := 16#c75141ac#;
   pragma Export (C, u00223, "system__taskingB");
   u00224 : constant Version_32 := 16#2f3b52e0#;
   pragma Export (C, u00224, "system__taskingS");
   u00225 : constant Version_32 := 16#118e865d#;
   pragma Export (C, u00225, "system__stack_usageB");
   u00226 : constant Version_32 := 16#2b675f35#;
   pragma Export (C, u00226, "system__stack_usageS");
   u00227 : constant Version_32 := 16#e737d8df#;
   pragma Export (C, u00227, "system__tasking__debugB");
   u00228 : constant Version_32 := 16#bb5f8631#;
   pragma Export (C, u00228, "system__tasking__debugS");
   u00229 : constant Version_32 := 16#fd83e873#;
   pragma Export (C, u00229, "system__concat_2B");
   u00230 : constant Version_32 := 16#6186175a#;
   pragma Export (C, u00230, "system__concat_2S");
   u00231 : constant Version_32 := 16#2b70b149#;
   pragma Export (C, u00231, "system__concat_3B");
   u00232 : constant Version_32 := 16#68569c2f#;
   pragma Export (C, u00232, "system__concat_3S");
   u00233 : constant Version_32 := 16#d0432c8d#;
   pragma Export (C, u00233, "system__img_enum_newB");
   u00234 : constant Version_32 := 16#026ac64a#;
   pragma Export (C, u00234, "system__img_enum_newS");
   u00235 : constant Version_32 := 16#05f5974e#;
   pragma Export (C, u00235, "system__tasking__utilitiesB");
   u00236 : constant Version_32 := 16#51068caf#;
   pragma Export (C, u00236, "system__tasking__utilitiesS");
   u00237 : constant Version_32 := 16#13f61100#;
   pragma Export (C, u00237, "system__tasking__initializationB");
   u00238 : constant Version_32 := 16#ed62fcff#;
   pragma Export (C, u00238, "system__tasking__initializationS");
   u00239 : constant Version_32 := 16#8cbc61ab#;
   pragma Export (C, u00239, "system__soft_links__taskingB");
   u00240 : constant Version_32 := 16#5ae92880#;
   pragma Export (C, u00240, "system__soft_links__taskingS");
   u00241 : constant Version_32 := 16#17d21067#;
   pragma Export (C, u00241, "ada__exceptions__is_null_occurrenceB");
   u00242 : constant Version_32 := 16#e1d7566f#;
   pragma Export (C, u00242, "ada__exceptions__is_null_occurrenceS");
   u00243 : constant Version_32 := 16#1b84470b#;
   pragma Export (C, u00243, "system__tasking__task_attributesB");
   u00244 : constant Version_32 := 16#a1da3c09#;
   pragma Export (C, u00244, "system__tasking__task_attributesS");
   u00245 : constant Version_32 := 16#57df25b5#;
   pragma Export (C, u00245, "system__tasking__queuingB");
   u00246 : constant Version_32 := 16#05e644a6#;
   pragma Export (C, u00246, "system__tasking__queuingS");
   u00247 : constant Version_32 := 16#9a283644#;
   pragma Export (C, u00247, "system__tasking__protected_objectsB");
   u00248 : constant Version_32 := 16#5744f344#;
   pragma Export (C, u00248, "system__tasking__protected_objectsS");
   u00249 : constant Version_32 := 16#ee80728a#;
   pragma Export (C, u00249, "system__tracesB");
   u00250 : constant Version_32 := 16#913ba820#;
   pragma Export (C, u00250, "system__tracesS");
   u00251 : constant Version_32 := 16#fdb2ef41#;
   pragma Export (C, u00251, "system__tasking__protected_objects__entriesB");
   u00252 : constant Version_32 := 16#a0c7bfc6#;
   pragma Export (C, u00252, "system__tasking__protected_objects__entriesS");
   u00253 : constant Version_32 := 16#100eaf58#;
   pragma Export (C, u00253, "system__restrictionsB");
   u00254 : constant Version_32 := 16#78a5968e#;
   pragma Export (C, u00254, "system__restrictionsS");
   u00255 : constant Version_32 := 16#bd6fc52e#;
   pragma Export (C, u00255, "system__traces__taskingB");
   u00256 : constant Version_32 := 16#0b40d4b2#;
   pragma Export (C, u00256, "system__traces__taskingS");
   u00257 : constant Version_32 := 16#d5f9759f#;
   pragma Export (C, u00257, "ada__text_io__float_auxB");
   u00258 : constant Version_32 := 16#f854caf5#;
   pragma Export (C, u00258, "ada__text_io__float_auxS");
   u00259 : constant Version_32 := 16#237a28d3#;
   pragma Export (C, u00259, "system__img_realB");
   u00260 : constant Version_32 := 16#a48e9168#;
   pragma Export (C, u00260, "system__img_realS");
   u00261 : constant Version_32 := 16#67b17b79#;
   pragma Export (C, u00261, "system__fat_llfS");
   u00262 : constant Version_32 := 16#f1f88835#;
   pragma Export (C, u00262, "system__img_lluB");
   u00263 : constant Version_32 := 16#b7b76489#;
   pragma Export (C, u00263, "system__img_lluS");
   u00264 : constant Version_32 := 16#eef535cd#;
   pragma Export (C, u00264, "system__img_unsB");
   u00265 : constant Version_32 := 16#618a58bd#;
   pragma Export (C, u00265, "system__img_unsS");
   u00266 : constant Version_32 := 16#4f2b3814#;
   pragma Export (C, u00266, "aws__os_libS");
   u00267 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00267, "gnatS");
   u00268 : constant Version_32 := 16#a374745a#;
   pragma Export (C, u00268, "gnat__os_libS");
   u00269 : constant Version_32 := 16#bb956a8c#;
   pragma Export (C, u00269, "interfaces__c__stringsB");
   u00270 : constant Version_32 := 16#603c1c44#;
   pragma Export (C, u00270, "interfaces__c__stringsS");
   u00271 : constant Version_32 := 16#1d7754d3#;
   pragma Export (C, u00271, "system__arith_64B");
   u00272 : constant Version_32 := 16#6883ab63#;
   pragma Export (C, u00272, "system__arith_64S");
   u00273 : constant Version_32 := 16#dd13bf65#;
   pragma Export (C, u00273, "system__exn_lliB");
   u00274 : constant Version_32 := 16#e2b1bb25#;
   pragma Export (C, u00274, "system__exn_lliS");
   u00275 : constant Version_32 := 16#276453b7#;
   pragma Export (C, u00275, "system__img_lldB");
   u00276 : constant Version_32 := 16#9004c9e3#;
   pragma Export (C, u00276, "system__img_lldS");
   u00277 : constant Version_32 := 16#bd3715ff#;
   pragma Export (C, u00277, "system__img_decB");
   u00278 : constant Version_32 := 16#cd0bc951#;
   pragma Export (C, u00278, "system__img_decS");
   u00279 : constant Version_32 := 16#0ab1cacb#;
   pragma Export (C, u00279, "system__random_numbersB");
   u00280 : constant Version_32 := 16#b163ec63#;
   pragma Export (C, u00280, "system__random_numbersS");
   u00281 : constant Version_32 := 16#7cd2c459#;
   pragma Export (C, u00281, "system__random_seedB");
   u00282 : constant Version_32 := 16#296b75a2#;
   pragma Export (C, u00282, "system__random_seedS");
   u00283 : constant Version_32 := 16#ac92c59a#;
   pragma Export (C, u00283, "system__tasking__protected_objects__operationsB");
   u00284 : constant Version_32 := 16#902e29cd#;
   pragma Export (C, u00284, "system__tasking__protected_objects__operationsS");
   u00285 : constant Version_32 := 16#b1c8176f#;
   pragma Export (C, u00285, "system__tasking__entry_callsB");
   u00286 : constant Version_32 := 16#ddf2aa0b#;
   pragma Export (C, u00286, "system__tasking__entry_callsS");
   u00287 : constant Version_32 := 16#ffdce1e2#;
   pragma Export (C, u00287, "system__tasking__rendezvousB");
   u00288 : constant Version_32 := 16#3e44c873#;
   pragma Export (C, u00288, "system__tasking__rendezvousS");
   u00289 : constant Version_32 := 16#6a2b2a78#;
   pragma Export (C, u00289, "templates_parserB");
   u00290 : constant Version_32 := 16#49066aa4#;
   pragma Export (C, u00290, "templates_parserS");
   u00291 : constant Version_32 := 16#eee9c0c6#;
   pragma Export (C, u00291, "ada__strings__hash_case_insensitiveB");
   u00292 : constant Version_32 := 16#f9e6d5c1#;
   pragma Export (C, u00292, "ada__strings__hash_case_insensitiveS");
   u00293 : constant Version_32 := 16#4e811665#;
   pragma Export (C, u00293, "gnat__calendarB");
   u00294 : constant Version_32 := 16#af71040a#;
   pragma Export (C, u00294, "gnat__calendarS");
   u00295 : constant Version_32 := 16#8439775b#;
   pragma Export (C, u00295, "interfaces__c__extensionsS");
   u00296 : constant Version_32 := 16#c9da2edd#;
   pragma Export (C, u00296, "gnat__calendar__time_ioB");
   u00297 : constant Version_32 := 16#6758e7a6#;
   pragma Export (C, u00297, "gnat__calendar__time_ioS");
   u00298 : constant Version_32 := 16#d37ed4a2#;
   pragma Export (C, u00298, "gnat__case_utilB");
   u00299 : constant Version_32 := 16#d6115050#;
   pragma Export (C, u00299, "gnat__case_utilS");
   u00300 : constant Version_32 := 16#c72dc161#;
   pragma Export (C, u00300, "gnat__regpatS");
   u00301 : constant Version_32 := 16#c3864405#;
   pragma Export (C, u00301, "system__regpatB");
   u00302 : constant Version_32 := 16#e17c5bf5#;
   pragma Export (C, u00302, "system__regpatS");
   u00303 : constant Version_32 := 16#2b93a046#;
   pragma Export (C, u00303, "system__img_charB");
   u00304 : constant Version_32 := 16#ff12986d#;
   pragma Export (C, u00304, "system__img_charS");
   u00305 : constant Version_32 := 16#7970d26c#;
   pragma Export (C, u00305, "templates_parser__configurationS");
   u00306 : constant Version_32 := 16#ec04e3c9#;
   pragma Export (C, u00306, "templates_parser__inputB");
   u00307 : constant Version_32 := 16#08e39ca1#;
   pragma Export (C, u00307, "templates_parser__inputS");
   u00308 : constant Version_32 := 16#d2456b41#;
   pragma Export (C, u00308, "templates_parser__utilsB");
   u00309 : constant Version_32 := 16#0dfdb513#;
   pragma Export (C, u00309, "templates_parser__utilsS");
   u00310 : constant Version_32 := 16#6fcd215e#;
   pragma Export (C, u00310, "ada__environment_variablesB");
   u00311 : constant Version_32 := 16#3ff48a0e#;
   pragma Export (C, u00311, "ada__environment_variablesS");
   u00312 : constant Version_32 := 16#4e714c3f#;
   pragma Export (C, u00312, "templates_parser_taskingB");
   u00313 : constant Version_32 := 16#4c0209f0#;
   pragma Export (C, u00313, "templates_parser_taskingS");
   u00314 : constant Version_32 := 16#5e943ac4#;
   pragma Export (C, u00314, "memory_streamsB");
   u00315 : constant Version_32 := 16#bf3b9ce5#;
   pragma Export (C, u00315, "memory_streamsS");
   u00316 : constant Version_32 := 16#9e7d6b78#;
   pragma Export (C, u00316, "aws__resources__filesB");
   u00317 : constant Version_32 := 16#51156a1f#;
   pragma Export (C, u00317, "aws__resources__filesS");
   u00318 : constant Version_32 := 16#f7ee0df8#;
   pragma Export (C, u00318, "aws__resources__streams__diskB");
   u00319 : constant Version_32 := 16#47237b38#;
   pragma Export (C, u00319, "aws__resources__streams__diskS");
   u00320 : constant Version_32 := 16#d998a2af#;
   pragma Export (C, u00320, "gnat__command_lineB");
   u00321 : constant Version_32 := 16#c4427fe3#;
   pragma Export (C, u00321, "gnat__command_lineS");
   u00322 : constant Version_32 := 16#cceeaf4e#;
   pragma Export (C, u00322, "gnat__directory_operationsB");
   u00323 : constant Version_32 := 16#e2bb2709#;
   pragma Export (C, u00323, "gnat__directory_operationsS");
   u00324 : constant Version_32 := 16#084c16d0#;
   pragma Export (C, u00324, "gnat__regexpS");
   u00325 : constant Version_32 := 16#b4645806#;
   pragma Export (C, u00325, "gnat__stringsS");
   u00326 : constant Version_32 := 16#077f0b47#;
   pragma Export (C, u00326, "gnat__sha1B");
   u00327 : constant Version_32 := 16#ffc0a8a4#;
   pragma Export (C, u00327, "gnat__sha1S");
   u00328 : constant Version_32 := 16#2c659540#;
   pragma Export (C, u00328, "gnat__secure_hashesB");
   u00329 : constant Version_32 := 16#be26bdea#;
   pragma Export (C, u00329, "gnat__secure_hashesS");
   u00330 : constant Version_32 := 16#cadfacae#;
   pragma Export (C, u00330, "gnat__secure_hashes__sha1B");
   u00331 : constant Version_32 := 16#f3d08783#;
   pragma Export (C, u00331, "gnat__secure_hashes__sha1S");
   u00332 : constant Version_32 := 16#45efda4c#;
   pragma Export (C, u00332, "gnat__byte_swappingB");
   u00333 : constant Version_32 := 16#3ade0442#;
   pragma Export (C, u00333, "gnat__byte_swappingS");
   u00334 : constant Version_32 := 16#1abab4ca#;
   pragma Export (C, u00334, "system__byte_swappingS");
   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.handling%s
   --  ada.characters.latin_1%s
   --  ada.command_line%s
   --  ada.environment_variables%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  gnat.byte_swapping%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.arith_64%s
   --  system.atomic_counters%s
   --  system.atomic_counters%b
   --  system.byte_swapping%s
   --  gnat.byte_swapping%b
   --  system.case_util%s
   --  system.case_util%b
   --  gnat.case_util%s
   --  gnat.case_util%b
   --  system.exn_llf%s
   --  system.exn_llf%b
   --  system.exn_lli%s
   --  system.exn_lli%b
   --  system.float_control%s
   --  system.float_control%b
   --  system.htable%s
   --  system.img_bool%s
   --  system.img_bool%b
   --  system.img_char%s
   --  system.img_char%b
   --  system.img_dec%s
   --  system.img_enum_new%s
   --  system.img_enum_new%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.img_dec%b
   --  system.img_lld%s
   --  system.img_lli%s
   --  system.img_lli%b
   --  system.img_lld%b
   --  system.img_real%s
   --  system.io%s
   --  system.io%b
   --  system.multiprocessors%s
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.powten_table%s
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.stack_checking.operations%s
   --  system.stack_usage%s
   --  system.stack_usage%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  gnat.strings%s
   --  system.os_lib%s
   --  gnat.os_lib%s
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  system.arith_64%b
   --  ada.exceptions.is_null_occurrence%s
   --  ada.exceptions.is_null_occurrence%b
   --  system.soft_links%s
   --  system.stack_checking.operations%b
   --  system.traces%s
   --  system.traces%b
   --  system.unsigned_types%s
   --  system.fat_lflt%s
   --  system.fat_llf%s
   --  system.img_biu%s
   --  system.img_biu%b
   --  system.img_llb%s
   --  system.img_llb%b
   --  system.img_llu%s
   --  system.img_llu%b
   --  system.img_llw%s
   --  system.img_llw%b
   --  system.img_uns%s
   --  system.img_uns%b
   --  system.img_real%b
   --  system.img_wiu%s
   --  system.img_wiu%b
   --  system.val_int%s
   --  system.val_lli%s
   --  system.val_llu%s
   --  system.val_real%s
   --  system.val_uns%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_uns%b
   --  system.val_real%b
   --  system.val_llu%b
   --  system.val_lli%b
   --  system.val_int%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  ada.exceptions.traceback%s
   --  system.address_image%s
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.concat_3%s
   --  system.concat_3%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.containers%s
   --  ada.containers.prime_numbers%s
   --  ada.containers.prime_numbers%b
   --  ada.io_exceptions%s
   --  ada.numerics%s
   --  ada.numerics.aux%s
   --  ada.numerics.long_elementary_functions%s
   --  ada.numerics.long_elementary_functions%b
   --  ada.strings%s
   --  ada.strings.hash%s
   --  ada.strings.hash%b
   --  ada.strings.hash_case_insensitive%s
   --  ada.strings.maps%s
   --  ada.strings.fixed%s
   --  ada.strings.maps.constants%s
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.tags%s
   --  ada.streams%s
   --  ada.streams%b
   --  interfaces.c%s
   --  system.multiprocessors%b
   --  interfaces.c.extensions%s
   --  interfaces.c.strings%s
   --  system.communication%s
   --  system.communication%b
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.exceptions.machine%s
   --  system.file_control_block%s
   --  ada.streams.stream_io%s
   --  system.file_io%s
   --  ada.streams.stream_io%b
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.containers.helpers%s
   --  ada.containers.helpers%b
   --  ada.containers.hash_tables%s
   --  system.linux%s
   --  system.os_constants%s
   --  system.os_interface%s
   --  system.os_interface%b
   --  system.interrupt_management%s
   --  system.regpat%s
   --  gnat.regpat%s
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools.finalization%s
   --  system.storage_pools.subpools.finalization%b
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  system.task_info%s
   --  system.task_info%b
   --  system.task_primitives%s
   --  system.interrupt_management%b
   --  system.tasking%s
   --  ada.task_identification%s
   --  system.task_primitives.operations%s
   --  system.tasking%b
   --  system.tasking.debug%s
   --  system.tasking.debug%b
   --  system.task_primitives.operations%b
   --  system.traces.tasking%s
   --  system.traces.tasking%b
   --  ada.calendar%s
   --  ada.calendar%b
   --  ada.calendar.time_zones%s
   --  ada.calendar.time_zones%b
   --  ada.calendar.formatting%s
   --  gnat.calendar%s
   --  gnat.calendar%b
   --  gnat.calendar.time_io%s
   --  gnat.directory_operations%s
   --  gnat.secure_hashes%s
   --  gnat.secure_hashes%b
   --  gnat.secure_hashes.sha1%s
   --  gnat.secure_hashes.sha1%b
   --  gnat.sha1%s
   --  gnat.sha1%b
   --  system.assertions%s
   --  system.assertions%b
   --  system.file_attributes%s
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.pool_global%s
   --  system.pool_global%b
   --  system.random_numbers%s
   --  system.random_seed%s
   --  system.random_seed%b
   --  system.secondary_stack%s
   --  system.storage_pools.subpools%b
   --  system.finalization_masters%b
   --  system.regpat%b
   --  system.file_io%b
   --  interfaces.c.strings%b
   --  interfaces.c%b
   --  ada.tags%b
   --  ada.strings.fixed%b
   --  ada.strings.maps%b
   --  ada.strings.hash_case_insensitive%b
   --  system.soft_links%b
   --  system.os_lib%b
   --  ada.environment_variables%b
   --  ada.command_line%b
   --  ada.characters.handling%b
   --  system.secondary_stack%b
   --  system.random_numbers%b
   --  gnat.directory_operations%b
   --  ada.calendar.formatting%b
   --  system.address_image%b
   --  ada.exceptions.traceback%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  ada.strings.unbounded.aux%s
   --  ada.strings.unbounded.aux%b
   --  ada.directories%s
   --  ada.directories.validity%s
   --  ada.directories.validity%b
   --  system.regexp%s
   --  system.regexp%b
   --  ada.directories%b
   --  gnat.regexp%s
   --  gnat.command_line%s
   --  system.soft_links.tasking%s
   --  system.soft_links.tasking%b
   --  system.strings.stream_ops%s
   --  system.strings.stream_ops%b
   --  system.tasking.entry_calls%s
   --  system.tasking.initialization%s
   --  system.tasking.task_attributes%s
   --  system.tasking.task_attributes%b
   --  system.tasking.utilities%s
   --  ada.task_identification%b
   --  system.traceback%s
   --  system.traceback%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  ada.exceptions%b
   --  system.tasking.initialization%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  gnat.command_line%b
   --  gnat.calendar.time_io%b
   --  ada.text_io.float_aux%s
   --  ada.text_io.generic_aux%s
   --  ada.text_io.generic_aux%b
   --  ada.text_io.float_aux%b
   --  ada.text_io.integer_aux%s
   --  ada.text_io.integer_aux%b
   --  ada.integer_text_io%s
   --  ada.integer_text_io%b
   --  system.tasking.protected_objects%s
   --  system.tasking.protected_objects%b
   --  system.tasking.protected_objects.entries%s
   --  system.tasking.protected_objects.entries%b
   --  system.tasking.queuing%s
   --  system.tasking.queuing%b
   --  system.tasking.utilities%b
   --  system.tasking.rendezvous%s
   --  system.tasking.protected_objects.operations%s
   --  system.tasking.protected_objects.operations%b
   --  system.tasking.rendezvous%b
   --  system.tasking.entry_calls%b
   --  aws%s
   --  aws.containers%s
   --  zlib%b
   --  aws.os_lib%s
   --  memory_streams%s
   --  memory_streams%b
   --  templates_parser_tasking%s
   --  templates_parser_tasking%b
   --  templates_parser%s
   --  templates_parser.configuration%s
   --  templates_parser.input%s
   --  templates_parser.input%b
   --  templates_parser.utils%s
   --  templates_parser.utils%b
   --  templates_parser%b
   --  aws.utils%s
   --  aws.utils%b
   --  aws.containers.memory_streams%s
   --  aws.containers.memory_streams%b
   --  aws.resources%s
   --  aws.resources.files%s
   --  aws.resources.streams%s
   --  aws.resources.streams%b
   --  aws.resources.streams.disk%s
   --  aws.resources.streams.disk%b
   --  aws.resources.streams.memory%s
   --  aws.resources.streams.memory%b
   --  aws.resources.embedded%s
   --  aws.resources%b
   --  aws.resources.streams.zlib%s
   --  aws.resources.streams.zlib%b
   --  aws.resources.embedded%b
   --  aws.resources.files%b
   --  awsres%b
   --  zlib%s
   --  END ELABORATION ORDER


end ada_main;
